//CFTTJsonReader - [2020-04-13 11:57:46]
#ifndef _CFTTJSONREADER_H_
#define _CFTTJSONREADER_H_

#include "common.h"
#include "CFTTFile.h"
#include "CFTTJson.h"

/*
0025FE68 CFTTJsonReader::CFTTJsonReader(char const*,uint,bool,uint)
0025FFF0 CFTTJsonReader::CFTTJsonReader(char const*,bool,uint)
00260090 CFTTJsonReader::CFTTJsonReader(CFTTFile *,bool,uint)
002600D0 CFTTJsonReader::~CFTTJsonReader()
002600F8 CFTTJsonReader::~CFTTJsonReader()
0025FED4 CFTTJsonReader::OpenFile(CFTTFile *,bool,uint)
00260106 CFTTJsonReader::GetFirstChild(char const*)
00260128 CFTTJsonReader::UncompressFailed()
*/

class CFTTJsonReader {
public:
  CFTTJsonReader(char const *, uint, bool, uint);  //0025FE68
  CFTTJsonReader(char const *, bool, uint);        //0025FFF0
  CFTTJsonReader(CFTTFile *, bool, uint);          //00260090
  virtual ~CFTTJsonReader();                       //002600D0 002600F8
  void OpenFile(CFTTFile *, bool, uint);           //0025FED4
  void GetFirstChild(char const *);                //00260106
  void UncompressFailed();                     //00260128
};

#endif  //_CFTTJSONREADER_H_